package com.kuxuan.laraver.util.dimen;

import android.content.res.Resources;
import android.util.DisplayMetrics;

import com.kuxuan.laraver.app.Laraver;

/**
 *
 * @author huangfuruixin
 * @date 2017/12/6
 */

public class DimenUtil {
    public static int getScreenWidth() {
        final Resources resources = Laraver.getApplicationContext().getResources();
        final DisplayMetrics dm = resources.getDisplayMetrics();
        return dm.widthPixels;
    }

    public static int getScreenHeight() {
        final Resources resources = Laraver.getApplicationContext().getResources();
        final DisplayMetrics dm = resources.getDisplayMetrics();
        return dm.heightPixels;
    }
}
