package com.kuxuan.fastbrowser;

import android.os.Bundle;
import android.support.annotation.Nullable;
import android.support.v7.app.ActionBar;

import com.kuxuan.laraver.activities.ProxyActivity;
import com.kuxuan.laraver.browser.main.EcBottomDelegate;
import com.kuxuan.laraver.delegates.LaraverDelegate;

import cn.jpush.android.api.JPushInterface;
import qiu.niorgai.StatusBarCompat;


public class MainActivity extends ProxyActivity{

    @Override
    public void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        final ActionBar actionBar = getSupportActionBar();
        if(actionBar!=null){
            actionBar.hide();
        }
        StatusBarCompat.translucentStatusBar(this,true);
    }

    @Override
    protected void onPause() {
        super.onPause();
        JPushInterface.onPause(this);
    }

    @Override
    protected void onResume() {
        super.onResume();
        JPushInterface.onPause(this);
    }

    @Override
    public LaraverDelegate setRootDelegate() {
        return new EcBottomDelegate();
    }

}
