package com.kuxuan.laraver.browser.main;

import android.graphics.Color;

import com.kuxuan.laraver.browser.main.cart.ShopCartDelegate;
import com.kuxuan.laraver.browser.main.discover.DiscoverDelegate;
import com.kuxuan.laraver.browser.main.index.IndexDelegate;
import com.kuxuan.laraver.browser.main.sort.SortDelegate;
import com.kuxuan.laraver.delegates.bottom.BaseBottomDelegate;
import com.kuxuan.laraver.delegates.bottom.BottomItemDelegate;
import com.kuxuan.laraver.delegates.bottom.BottomTabBean;
import com.kuxuan.laraver.delegates.bottom.ItemBuilder;

import java.util.LinkedHashMap;

/**
 *
 * @author huangfuruixin
 * @date 2017/12/10
 */

public class EcBottomDelegate extends BaseBottomDelegate {
    @Override
    public LinkedHashMap<BottomTabBean, BottomItemDelegate> setItems(ItemBuilder builder) {
        final LinkedHashMap<BottomTabBean,BottomItemDelegate> items = new LinkedHashMap<>();
        items.put(new BottomTabBean("{fa-home}","主页"),new IndexDelegate());
        items.put(new BottomTabBean("{fa-sort}","分类"),new SortDelegate());
        items.put(new BottomTabBean("{fa-compass}","发现"),new DiscoverDelegate());
        items.put(new BottomTabBean("{fa-shopping-cart}","购物车"),new ShopCartDelegate());
        items.put(new BottomTabBean("{fa-user}","我的"),new IndexDelegate());
        return builder.addItems(items).build();
    }

    @Override
    public int setIndexDelegate() {
        return 0;
    }

    @Override
    public int setClickedColor() {
        return Color.parseColor("#ffff8800");
    }
}
