package com.kuxuan.laraver.browser.main.index;

import android.view.View;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.listener.SimpleClickListener;
import com.kuxuan.laraver.browser.detail.GoodsDetailDelegate;
import com.kuxuan.laraver.delegates.LaraverDelegate;

/**
 * @author huangfuruixin
 */
public class IndexItemClickListener extends SimpleClickListener {

    private final LaraverDelegate DELEGATE;

    private IndexItemClickListener(LaraverDelegate delegate) {
        this.DELEGATE = delegate;
    }

    public static SimpleClickListener create(LaraverDelegate delegate) {
        return new IndexItemClickListener(delegate);
    }

    @Override
    public void onItemClick(BaseQuickAdapter adapter, View view, int position) {
        final GoodsDetailDelegate delegate = GoodsDetailDelegate.create();
        DELEGATE.getSupportDelegate().start(delegate);
    }

    @Override
    public void onItemLongClick(BaseQuickAdapter adapter, View view, int position) {
    }

    @Override
    public void onItemChildClick(BaseQuickAdapter adapter, View view, int position) {
    }

    @Override
    public void onItemChildLongClick(BaseQuickAdapter adapter, View view, int position) {
    }
}